function bfbar(prevpage, nextpage)
{
  if (prevpage == null && nextpage == null) return;

  document.writeln('<p><table align="center" width="100%">' + 
		   '<tr><td align="left">');
  if (prevpage != null)
    document.writeln('<a href="' + prevpage + '"><img border="0"' +
		     ' width="32" height="32" src="reverse32.gif"></a>');
  document.writeln('</td><td align="right">');
  if (nextpage != null)
    document.writeln('<a href="' + nextpage + '"><img border="0"' +
		     ' width="32" height="32" src="play32.gif"></a>');
  document.writeln('</td></tr></table></p>');
}

// This is for a single file that contains multiple "slides"
// separated by vertical space.  This creates that vertical space (a
// full screen's worth), and makes it a hyperlink to the beginning of
// the next slide (an anchor which it also creates).
var slide_number = 0;
function show_status_next_slide()
{
  window.status = "Next slide.";
  return true;
}
function clear_status()
{
  window.status = "";
  return true;
}

function begin_normal()
{
  document.writeln('<div class="normal">');
}

function end_normal()
{
  document.writeln('</div>');
}

function nextSlide()
{
  var next_slide_name;
  slide_number++;
  next_slide_name = "slide__" + slide_number;
  end_normal();
  document
    .writeln('<p><a href="#' + next_slide_name + '"' +
	     ' onMouseOver="show_status_next_slide();"' +
	     ' onMouseOut="clear_status();"><img width="100%"' +
	     ' height="100%" src="transp.gif" border="0"></img>' +
	     '</a><br /></p><a name="' + next_slide_name + '"></a>');
  begin_normal();
}
function beginSlides()
{
  var next_slide_name = "slide__" + slide_number;
  document.writeln('<a name="' + next_slide_name + '"></a>');
  begin_normal();
}

function endSlides()
{
  end_normal();
  document
    .writeln('<p><img width="100%" height="100%"' +
	     ' src="transp.gif" border="0"></img></p>');
}
